ros-rolling-ament-cmake-cpplint (0.21.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 05 May 2026 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.20.5-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 23 Apr 2026 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.20.4-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 08 Apr 2026 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.20.3-1resolute) resolute; urgency=high

  * Fixing EXCLUDE consistency (#481 <https://github.com/ament/ament_lint/issues/481>)
  * Contributors: Tom Moore

 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 24 Nov 2025 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.20.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 30 Jul 2025 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.20.1-1resolute) resolute; urgency=high

  * cpplint: update link to upstream cpplint repo (#538 <https://github.com/ament/ament_lint/issues/538>)
  * Fix cmake deprecation (#539 <https://github.com/ament/ament_lint/issues/539>)
  * Contributors: Romain Reignier, mosfet80

 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 19 Jun 2025 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.20.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 24 Apr 2025 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.19.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.19.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Sun, 02 Feb 2025 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.19.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.18.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.18.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.17.0-1resolute) resolute; urgency=high

  * Increased cpplint timeout by default on Windows (#486 <https://github.com/ament/ament_lint/issues/486>)
  * Contributors: Alejandro Hernández Cordero

 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.16.4-1resolute) resolute; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.16.3-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.16.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.16.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.16.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.15.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.15.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.15.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.14.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.14.0-1resolute) resolute; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.13.2-1resolute) resolute; urgency=high

  * [ament_lint_auto] General file exclusion with AMENT_LINT_AUTO_FILE_EXCLUDE (#386 <https://github.com/ament/ament_lint/issues/386>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: Abrar Rahman Protyasha, methylDragon

 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.13.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 09 May 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.13.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.12.3-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.12.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.12.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.12.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.11.4-1resolute) resolute; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.11.3-1resolute) resolute; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Contributors: Audrow Nash

 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.11.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.11.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.11.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.6-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.5-1resolute) resolute; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 14 Apr 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.4-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.3-1resolute) resolute; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 03 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.2-1resolute) resolute; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 12 Feb 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.1-1resolute) resolute; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.10.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.9.4-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.9.3-1resolute) resolute; urgency=high

  * Updated cpplint and cppcheck to exclude directories and files (#234 <https://github.com/ament/ament_lint/issues/234>)
    * UPted cpplint and cppcheck to exclude directories and files
    * setting a global variable to configure automatic linting
    * Fixed cmake docbloc
    * Added feedback
    * Allowed cpplint to exclude files
    * Restored cpplint.py
  * Contributors: Alejandro Hernández Cordero

 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.9.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.9.1-1resolute) resolute; urgency=high

  * 0.9.0
  * Contributors: Chris Lalancette

 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 10 Apr 2020 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.8.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.8.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 17 Sep 2019 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.7.4-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 31 Jul 2019 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.7.3-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 09 May 2019 14:08:00 -0000

ros-rolling-ament-cmake-cpplint (0.7.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 09 May 2019 09:30:00 -0000

ros-rolling-ament-cmake-cpplint (0.7.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Tue, 07 May 2019 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.7.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 11 Apr 2019 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.6.3-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 14 Jan 2019 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.6.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.6.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Thu, 15 Nov 2018 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.6.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 14 Nov 2018 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.5.2-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-ament-cmake-cpplint (0.5.1-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 18 Jun 2018 13:47:00 -0000

ros-rolling-ament-cmake-cpplint (0.5.0-1resolute) resolute; urgency=high



 -- "Chris Lalancette" <clalancette@gmail.com>  Mon, 18 Jun 2018 10:09:00 -0000

ros-rolling-ament-cmake-cpplint (0.4.0-1resolute) resolute; urgency=high

  * Increase cpplint timeout (#90 <https://github.com/ament/ament_lint/issues/90>)
    * increase cpplint timeout to 120 seconds
    * expose timeout and use 120 as default rather than hard coding it
    * copy-n-paste
  * add filters argument to cpplint (#87 <https://github.com/ament/ament_lint/issues/87>)
    * add filters argument to cpplint
    * full ellipsis
    * string -> strings
  * 0.0.3
  * 0.0.2
  * update schema url
  * add schema to manifest files
  * Merge pull request #56 <https://github.com/ament/ament_lint/issues/56> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Merge pull request #51 <https://github.com/ament/ament_lint/issues/51> from ament/lint_generated_code
    extend linter API to allow overriding the max line length
  * add CMake argument to override max line length for linters as well as the root for cpplint
  * Merge pull request #50 <https://github.com/ament/ament_lint/issues/50> from ament/ctest_build_testing
    use CTest BUILD_TESTING
  * use CTest BUILD_TESTING
  * Merge pull request #41 <https://github.com/ament/ament_lint/issues/41> from ament/use_message_status
    avoid using message without STATUS
  * avoid using message without STATUS
  * Merge pull request #39 <https://github.com/ament/ament_lint/issues/39> from ament/cpplint_python3
    use Python 3 for cpplint and split into Python and CMake package
  * refactor ament_cpplint into Python and CMake package
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- "Chris Lalancette" <clalancette@gmail.com>  Fri, 08 Dec 2017 00:00:00 -0000


